Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Contributor
Posts: 39
Registered: ‎05-28-2010
My Device: Blackberry 9550
My Carrier: None

OS version compatibility

Hi,

I recently started developing BB apps using JDE4.5, but would later like to add support for touch screen using JDE5.0. As per my current design, the project being built using 4.5 will act as a Master while the one using 5.0 will extend and override the methods defined in 4.5 as and when needed. I read that 5.0 supports opengl while 4.5 doesn't. Is there a way I can still use this approach of 'extending' my old project and use opengles specific functionalities for 5.0 alone? Has anyone ever designed projects that will support both these jde versions?

Any response is appreciated.

thanks.

Developer
Posts: 16,992
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: OS version compatibility

take a look at preprocessing, it allows using a single codebase for multiple builds.

----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter